package gorm_model

type YounggeeJob struct {
	JobId                int    `gorm:"column:job_id;primary_key;AUTO_INCREMENT"` // 岗位ID
	JobName              string `gorm:"column:job_name"`                          // 岗位名称
	JobDetail            string `gorm:"column:job_detail"`                        // 岗位描述
	WorkshopPermission   string `gorm:"column:workshop_permission"`               // 工作台权限
	TaskcenterPermission string `gorm:"column:taskcenter_permission"`             // 任务中心权限
	CooperatePermission  string `gorm:"column:cooperate_permission"`              // 推广合作权限
	FinancialPermission  string `gorm:"column:financial_permission"`              // 财务结算权限
	EnterpriseId         string `gorm:"column:enterprise_id"`                     // 岗位所属商家账号ID
}

func (m *YounggeeJob) TableName() string {
	return "younggee_job"
}
