package redis_model

// SubAccountAuth redis 存放的企业子账号用户信息Session
type SubAccountAuth struct {
	Phone          string `json:"phone"`            // 电话号码
	ID             int64  `json:"id"`               // 用户表id
	User           string `json:"user"`             // 账号
	Username       string `json:"username"`         // 后台用户名
	SubAccountName string `json:"sub_account_name"` // 子账号名称
	Role           string `json:"role"`             // 角色 1，超级管理员； 2，管理员；3，企业用户; 4. 企业子账号；5. 管理后台子账号
	Token          string `json:"token"`            // Token
	EnterpriseID   string `json:"enterprise_id"`    // 企业ID
}
