package pack

import (
	"fmt"
	"youngee_b_api/model/common_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"
)

func HttpTaskSketchListRequestToCondition(req *http_model.TaskSketchListRequest) *common_model.TalentConditions {
	fmt.Printf("初稿转换 %+v", req)
	return &common_model.TalentConditions{
		ProjectId:    req.ProjectId,
		SketchStatus: conv.MustInt64(req.SketchStatus),
		StrategyId:   conv.MustInt64(req.StrategyId),
		// TaskId:           conv.MustString(req.TaskId),
		PlatformNickname: conv.MustString(req.PlatformNickname),
	}
}
